Merge "Sanity check to make sure apk or jar files are not stripped" am: a62f435fea am: d79c788169
am: dddd865ef7

Change-Id: I62a4e24a86e4aca9563fdcb2abf5e1b847b704e5
diff --git a/generate-packages.sh b/generate-packages.sh
index 5935bca..5b18aa6 100755
--- a/generate-packages.sh
+++ b/generate-packages.sh
@@ -129,6 +129,16 @@
       sed -i "s/$ONE_FILE_BASE/$ATMEL_FILE/" moto/staging/device-partial.mk
     fi
 
+    # Sanity check to make sure apk or jar files are not stripped
+    if [[ ${ONE_FILE_BASE} == *.apk ]] || [[ ${ONE_FILE_BASE} == *.jar ]]
+    then
+      zipinfo ${FILEDIR_NEW}/${ONE_FILE_BASE} | grep -q classes.dex > /dev/null
+      if [[ $? != "0" ]]
+      then
+        echo "Error ${ONE_FILE} is stripped"
+      fi
+    fi
+
   done
   echo \ \ Setting up $COMPANY-specific makefiles
   cp -R $COMPANY/staging/* $MAKEFILEDIR || echo \ \ \ \ Error copying makefiles